Get a card full number
Get a card full number
POST /svc/card_issuer/api/v1/pci_card_with_session
Request
- application/json
Body
referenceID stringrequired
jweBlock stringrequired
使用 secretKey加密 {"referenceID": "xxxx"}
Responses
- 200
Response Headers
-
application/json
-
Schema
-
Example (auto)
Schema
status stringrequired
jweBlock stringrequired
使用 secretKey解密 得到完整卡号
{
"status": "string",
"jweBlock": "string"
}-
csharp
-
curl
-
dart
-
go
-
http
-
java
-
javascript
-
kotlin
-
c
-
nodejs
-
objective-c
-
ocaml
-
php
-
powershell
-
python
-
r
-
ruby
-
rust
-
shell
-
swift
-
HTTPCLIENT
-
RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://developer.wonder.today/svc/card_issuer/api/v1/pci_card_with_session");
request.Headers.Add("Accept", "application/json");
var content = new StringContent("{\n \"referenceID\": \"string\",\n \"jweBlock\": \"string\"\n}", null, "application/json");
request.Content = content;
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());Request Collapse all
Body
- Example (from schema)
- Example
{
"referenceID": "string",
"jweBlock": "string"
}